import { shortcut } from '@core/core';
import { LabelXtype, VerticalXtype, MultiSelectItemXtype } from 'ui';
import { POOL_CONFIG } from '@constants/constant';
import { FormItem } from '../form_item/form_item';
@shortcut()
export class PoolConfig extends BI.Widget {
    static xtype = 'dec.dcm.connection.plugin.redis.components.pool'

    props = {
        poolConfig : {
            ...POOL_CONFIG,
        },
    }

    render() {
        const { maxTotal, maxWait, maxIdle, blockWhenExhausted, lifo, timeout } = this.options.poolConfig;

        return {
            type: VerticalXtype,
            hgap: 15,
            vgap: 10,
            items: [
                {
                    type: FormItem.xtype,
                    name: BI.i18nText('Plugin-Redis_Pool_Max_Total'),
                    forms: [{
                        type: LabelXtype,
                        text: maxTotal,
                    }],
                },
                {
                    type: FormItem.xtype,
                    name: BI.i18nText('Plugin-Redis_Pool_Max_Wait'),
                    forms: [{
                        type: LabelXtype,
                        text: maxWait,
                    }],
                },
                {
                    type: FormItem.xtype,
                    name: BI.i18nText('Plugin-Redis_Pool_Max_Idle'),
                    forms: [{
                        type: LabelXtype,
                        text: maxIdle,
                    }],
                },
                {
                    type: FormItem.xtype,
                    name: BI.i18nText('Plugin-Redis_Pool_Block_When_Exhausted'),
                    forms: [{
                        type: MultiSelectItemXtype,
                        selected: blockWhenExhausted,
                    }],
                },
                {
                    type: FormItem.xtype,
                    name: BI.i18nText('Plugin-Redis_Pool_Lifo'),
                    forms: [{
                        type: MultiSelectItemXtype,
                        selected: lifo,
                    }],
                },
                {
                    type: FormItem.xtype,
                    name: BI.i18nText('Plugin-Redis_Pool_Timeout'),
                    forms: [{
                        type: LabelXtype,
                        text: timeout,
                    }],
                },
            ],
        };
    }
}
